<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN"
    "http://www.w3.org/TR/html4/strict.dtd">
<html lang="de">
  <head>
    <meta http-equiv="content-type" content="text/html; charset=utf-8">
    <title>Newslettersendedings</title>
    <style>
	body {
	    margin-left: 3em;
	    margin-right: 3em;
	}
	.ping {
	    background: #EEE;
	}
	img {
	    float: right;
	}
	summary {
		padding: 0.5em;
	}
	nav {
		border: 1px solid grey;
		background: #EEE;
		display: table;
		padding: 0.5em;
	}
	a {
		text-decoration: none;
	}
    </style>
  </head>
  <body>
<script>
<!--
var pre = {};
var old_preset = "Nix";
pre.Nix = "";
pre.Newsletterbild = "[[Datei:Newsletter Icon for the German Technical Wishlist Project.svg|rechts|150px]]\n";
pre.FeedbackLogo = "[[Datei:Logo Feedback round in the Technical Wishes project.png|rechts|150px]]\n";
pre.Newsletter = pre.Newsletterbild + "\nDu erhältst diese Nachricht, weil du dich für den [[WP:Technische Wünsche/Newsletter|Newsletter]] Technische Wünsche eingetragen hast. Danke dafür!\n"
pre.NewsletterUmgesetzterWunsch = pre.Newsletterbild + "\nDu erhältst diese Nachricht, weil du dich für den [[WP:Technische Wünsche/Newsletter|Newsletter]] Technische Wünsche eingetragen hast, um über umgesetzte Wünsche informiert zu werden. Danke dafür!\n"
var started_users = null;
const bucket_size = 30;

function set_preset() {
  var text = document.getElementById('preloadtext').value;
  var preset = document.getElementById('preset').value.replace(/ /g, '');
  if ( text != pre[old_preset] ) {
    if (!confirm("Preload schon bearbeitet. Überschreiben?")) {
      old_preset = preset;
      return;
    }
  }
  old_preset = preset;
  document.getElementById('preloadtext').value = pre[preset];
}

function openall(users, wiki, extra_args) {
	if ( ! started_users || started_users.length === 0 ) {
		started_users = users.slice()
	}
	current_users = started_users.splice(0, bucket_size)
	console.log(started_users, current_users, users)
	if ( current_users.length === 0 ) {
		started_users = null
		return
	}
	console.log(2)
  if(typeof(wiki) === "undefined" || wiki == "dewiki")
    var links = current_users.map(s => `https://de.wikipedia.org/w/index.php?title=${s}&action=edit&section=new`)
  else if(wiki == "enwiki")
    var links = current_users.map(s => `https://en.wikipedia.org/w/index.php?title=${s}&action=edit&section=new`)
  else if(wiki == "meta")
    var links = current_users.map(s => `https://meta.wikimedia.org/w/index.php?title=${s}&action=edit&section=new`)
  else if(wiki == "mediawiki.org")
    var links = current_users.map(s => `https://www.mediawiki.org/w/index.php?title=${s}&action=edit&section=new`)
  else
      return
  var args=""
  var text = document.getElementById('preloadtext').value
  if( text !== "") {
    args+="&preload=Vorlage:$1&preloadparams%5B%5D=" + encodeURIComponent(text);
  }
  var title = document.getElementById('preloadtitle').value
  if( title !== "") {
    args+="&preloadtitle=" + encodeURIComponent(title);
  }
  if ( typeof(extra_args) !== "undefined") {
    args += extra_args;
  }
  if ( text.search("~~~~") == -1 ) {
    if ( !confirm("Achtung: Keine Signatur gefunden! Trotzdem forfahren?") )
      return;
  }
  for(i in links) {
    window.open(links[i]+args, '_blank');
  }
}

function opencustom() {
  var usernames = document.getElementById('usernames').value;
  var users = usernames.split("\n")
    .filter(s => s.length>0)
    .map(s => s.replace(/User( talk)?:|Benutzer( Diskussion)?:|Benutzerin( Diskussion)?:|^/, 'User_talk:'))
    .filter(s => s.search("User_talk:") == 0);
  var wiki = document.getElementById('wiki').value;
  openall(users, wiki);
}

document.addEventListener("DOMContentLoaded", function(event) {
  document.getElementById("preview").onclick = function() {
    openall(["User_Talk:Johanna_Strodt_(WMDE)"], "dewiki", "&preview=yes")
  };

  document.getElementById("preset").onchange = set_preset;
});
-->
</script> 
<h1>Newslettersendedings</h1>
<p>
Anleitung für Massenversand:
Diese Seite in neuem Browserfenster öffnen. Einmal auf ein "Alle öffnen"
klicken, dieses wird vom Browser blockiert. Ein neues Tab öffnet sich – dies
schließen und die Popups für diese Seite immer zulassen. Text unter Preload
eintragen und erneut auf das "Alle öffnen" unter der gewünschten Kategorie
klicken: viele Tabs öffnen sich. Überall auf Speichern klicken und Tab
schließen (Ctrl+w).
</p>

<h2>Preload</h2>
<select id="preset" name="preset">
  <option>Nix</option>
  <option>Newsletterbild</option>
  <option>Feedback Logo</option>
  <option>Newsletter</option>
  <option>Newsletter Umgesetzter Wunsch</option>
</select>
<br/>
<input id="preloadtitle" size="120">
<br/>
<br/>
<textarea cols="100" rows="20" id="preloadtext"></textarea>
<br/>
<button id="preview">Preview</button>

<br><hr><br>
<h2>Newsletter</h2>
